> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pick

> This endpoint updates a pick

### Body

<ParamField body="id" required="false" default="null">
  The id of the packing\_list to be created. If not provided, a new id will be generated.
</ParamField>

<ParamField body="number" required="false" default="null">
  The number of the packing\_list to be created. If not provided, a new number will be generated.
</ParamField>

<ParamField body="date_created" required="false" default="null">
  The date\_created of the packing\_list to be created. If not provided, a new date\_created will be generated.
</ParamField>

<ParamField body="bill_of_materials_number" required="false" default="null">
  The bill\_of\_materials\_number of the packing\_list to be created. If not provided, a new bill\_of\_materials\_number will be generated.
</ParamField>

<ParamField body="location" required="false" default="null">
  The location of the packing\_list to be created. If not provided, a new location will be generated.
</ParamField>

<ParamField body="pick_method" required="false" default="null">
  The pick\_method of the packing\_list to be created. If not provided, a new pick\_method will be generated.
</ParamField>

<ParamField body="site" required="false" default="null">
  The site of the packing\_list to be created. If not provided, a new site will be generated.
</ParamField>

<ParamField body="status" required="false" default="null">
  The status of the packing\_list to be created. If not provided, a new status will be generated.
</ParamField>

<ParamField body="work_order_number" required="false" default="null">
  The work\_order\_number of the packing\_list to be created. If not provided, a new work\_order\_number will be generated.
</ParamField>

### Response

<ResponseField body="id" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="date_created" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="bill_of_materials_number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="location" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="pick_method" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="site" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="status" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="work_order_number" type="string">
  This is the unique identifier for the pick
</ResponseField>

<ResponseField body="pick_line_items" type="string">
  This is the unique identifier for the pick

  <Expandable title="Show child attributes">
    <ResponseField body="id" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="part_name" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="part_number" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="pick_number" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="pick_plan" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="quantity_picked" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="quantity_to_pick" type="string">
      This is the unique identifier for the pick
    </ResponseField>

    <ResponseField body="status" type="string">
      This is the unique identifier for the pick
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/packing_list' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "current_token": ""
  }'
  ```

  ```javascript Node.js theme={null}

  var created = await stateset.packinglist.create({
    id: ''
  });

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "1",
    "number": "1",
    "deliveryDate": "2020-01-01",
    "arrivalDate": "2020-01-01",
    "ship_per": "John Doe",
    "tracking_number": "1234567890"
  }

  ```
</ResponseExample>
